Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.util
Class ConfigUtils

    java.lang.Object
      org.optaplanner.core.config.util.ConfigUtils

    public class ConfigUtils

extends Object

Method Summary
`static
`<T> List<T>`
` | `inheritMergeableListProperty(List<T> originalList, List<T> inheritedList)`
`static
`<K,T> Map<K,T>`
` | `inheritMergeableMapProperty(Map<K,T> originalMap, Map<K,T> inheritedMap)`
`static
`<T> T`
` | `inheritOverwritableProperty(T original, T inherited)`
`static boolean` | `isEmptyCollection(Collection<?> collection)`
`static
`<T> T`
` | `mergeProperty(T a, T b)`
`static
`<T> T`
` | `newInstance(Object bean, String propertyName, Class<T> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static <T> T newInstance(Object bean,
                                    String propertyName,
                                    Class<T> clazz)

### inheritOverwritableProperty

    public static <T> T inheritOverwritableProperty(T original,
                                                    T inherited)

### inheritMergeableListProperty

    public static <T> List<T> inheritMergeableListProperty(List<T> originalList,
                                                           List<T> inheritedList)

### inheritMergeableMapProperty

    public static <K,T> Map<K,T> inheritMergeableMapProperty(Map<K,T> originalMap,
                                                             Map<K,T> inheritedMap)

### mergeProperty

    public static <T> T mergeProperty(T a,
                                      T b)

### isEmptyCollection

    public static boolean isEmptyCollection(Collection<?> collection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.